Subject: bug/enhancement request in PINE 4.00 w.r.t. compose-rejects-unqualified-addrs

From: David Dyck <[email-masked]>
Date: Sat, 11 Jul 1998 20:08:03 -0700

I am just trying PINE 4.00, and I would like
to suggest that the following is a bug.

after enabling the feature
            [X]  compose-rejects-unqualified-addrs     

I typed in fred2 into the To: field
and got the following error:

 [ To field: Address for "fred2" not in addressbook ]

Since this used to do what I wanted I disabled the
feature, and typed in the fred2 again.

This time it expanded to the full user name 
  To      : Fred Moore <[email-masked]>

I have multiple address books, so when I type ^T I get a
menu

   PERSONAL
        Personal AddressBook in .addressbook

    ECS
        Personal AddressBook in /apps/general/lib/email/ecs_wbook

and one of them I inherited from our IT folks to support people that
are using ECS mail.  When I search for fred2 in the ECS book I find

igc#    Moore, Fred      [email-masked]

Since fred2 does get expanded from an address book to 
    Fred Moore <[email-masked]>
it would be nice to see it work the same when the
compose-rejects-unqualified-addrs feature is enabled

I can see that the definition/help file for this feature indicates
that the unqualified name must match a nickname, but perhaps
you could also allow it to search the address book for
the user-name@user-domain, (my user-domain is set to "tc.fluke.com")

Would this break the intend of the compose-rejects-unqualified-addrs,
since the user-name that I desired was in one of my address books?

I acknowledge that I could write a tool to 'fix' the ECS address
book, to change the nicknames to not be the machine generated garbage
the IT needed to use to allow for the general case, but setting the
nickname to the user name when there was no conflict, but it
just seemed that since the users full name was in my address book
and it did get expanded correctly when the compose-rejects-unqualified-addrs 
feature was disabled I expected it to still work.

I'm not asking for this to work when the user name gets expanded
because it was in a password file, just when it is found in the
address book.
Thanks for your thoughts....

  David Dyck

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------